Bug 10904 - smbclient loops doing a directory listing against Mac OS X 10 server with a non-wildcard path.
smbclient loops doing a directory listing against Mac OS X 10 server with a n...
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-28 21:43 UTC by Jeremy Allison
Modified: 2014-11-10 20:35 UTC (History)
1 user (show)

See Also:


Attachments
git-am fix for 4.2.x, 4.1.next. (1.81 KB, patch)
2014-10-28 21:45 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2014-10-28 21:43:06 UTC
MacOSX 10 SMB2 server doesn't set STATUS_NO_MORE_FILES when handed a non-wildcard path.

This causes smbclient to loop requesting the directory listing.
Comment 1 Jeremy Allison 2014-10-28 21:45:09 UTC
Created attachment 10378 [details]
git-am fix for 4.2.x, 4.1.next.

Fix that went into master. Please review and I'll reassign to Karolin for inclusion.
Comment 2 Jeremy Allison 2014-10-29 16:21:30 UTC
Re-assigning to Karolin for inclusion in 4.2.0, 4.1.next.
Comment 3 Karolin Seeger 2014-10-29 20:19:05 UTC
Pushed to autobuild-v4-[1|2]-test.
Comment 4 Karolin Seeger 2014-11-10 20:35:00 UTC
Pushed to both branches.
Closing out bug report.

Thanks!